#
# spec file for package heimdal (Version 0.4e)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  autoconf db db-devel libtool openssl openssl-devel readline readline-devel xdevel xshared
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib db-devel gcc gdbm gettext libtool libz openssl openssl-devel pam perl readline-devel rpm xdevel xshared

Name:         heimdal
Summary:      heimdal
Version:      0.4e
Release:      401
Group:        Productivity/Networking/Security
License:      BSD, Other License(s), see package
Source0:      heimdal-%{version}.tar.bz2
Source1:      kdc.init
Patch:        heimdal-%{version}.dif
Patch1:       db4.patch
Patch2:       heimdal-0.4e-security.patch
Patch3:       heimdal-0.4e-security2.patch
Patch4:       heimdal-0.4e-security3.patch
Patch5:       heimdal-0.5.2-0.5.3-transited-check.patch
URL:          http://www.pdc.kth.se/heimdal/heimdal.html
Requires:     heimdal-lib
# Cannot use BuildRoot with libtool
#BuildRoot:    %{_tmppath}/%{name}-root
%package      devel
Summary:      heimdal-devel
Autoreqprov:  on
Conflicts:    e2fsprogs-devel
Group:        Development/Libraries/C and C++
Prefix:       %{_prefix}
%package      lib
Summary:      heimdal-lib
Autoreqprov:  on
Group:        System/Libraries
Prefix:       %{_prefix}

%description
Heimdal is a free implementation of Kerberos5 available from
http://www.pdc.kth.se/src/heimdal, also the home of KTH-Krb --
a likewise free impelementation of Kerberos4. Heimdal is main-
tained and produced in Sweden (outside the US!) and is in the
public domain in the sense of the Wassenaar agreement and is
thus freely exportable.

Authors:
--------
    heimdal@pdc.kth.se

SuSE series: sec


%description devel
Heimdal is a free implementation of Kerberos5 available from
http://www.pdc.kth.se/src/heimdal-devel, also the home of KTH-Krb --
a likewise free impelementation of Kerberos4. Heimdal is main-
tained and produced in Sweden (outside the US!) and is in the
public domain in the sense of the Wassenaar agreement and is
thus freely exportable.

Authors:
--------
    heimdal-devel@pdc.kth.se

SuSE series: d


%description lib
Heimdal is a free implementation of Kerberos5 available from
http://www.pdc.kth.se/src/heimdal-devel, also the home of KTH-Krb --
a likewise free impelementation of Kerberos4. Heimdal is main-
tained and produced in Sweden (outside the US!) and is in the
public domain in the sense of the Wassenaar agreement and is
thus freely exportable.

Authors:
--------
    heimdal@pdc.kth.se

SuSE series: sec

%prep
%setup
%patch
%patch1 -p 1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%{?suse_update_config:%{suse_update_config}}
libtoolize --force --copy
aclocal -I cf
automake -a
autoconf
%ifarch ia64
CFLAGS="-O0" \
%else
CFLAGS="-O2 -W -Wpointer-arith" \
%endif
LDFLAGS="-lndbm"
./configure --enable-shared --prefix=/usr/lib/heimdal \
	--with-x --mandir=%{_mandir} \
	--libdir=%{_libdir} \
	--infodir=%{_infodir} --libexecdir=/usr/lib/heimdal/sbin \
	--includedir=/usr/include/heimdal \
	--with-readline-include=/usr/include/readline \
	--with-readline-lib=/usr/lib
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/usr/include/heimdal
mkdir -p $RPM_BUILD_ROOT/usr/lib/heimdal
mkdir -p $RPM_BUILD_ROOT/var/heimdal
mkdir -p $RPM_BUILD_ROOT/sbin
make DESTDIR=$RPM_BUILD_ROOT install
install -m 755 %{S:1} ${RPM_BUILD_ROOT}/etc/init.d/kdc
install -m 644 krb5.conf ${RPM_BUILD_ROOT}/etc
ln -sf ../etc/init.d/kdc ${RPM_BUILD_ROOT}/sbin/rckdc

%post
%{fillup_and_insserv kdc}

%postun
%{insserv_cleanup}

%files
%defattr(-,root,root)
/etc/init.d/kdc
/sbin/rckdc
/usr/lib/heimdal/sbin
/usr/lib/heimdal/bin
%dir /var/heimdal
# %doc %{_mandir}/man1/ftp.1.gz
%doc %{_mandir}/man1/kdestroy.1.gz
%doc %{_mandir}/man1/kf.1.gz
%doc %{_mandir}/man1/kgetcred.1.gz
%doc %{_mandir}/man1/kinit.1.gz
%doc %{_mandir}/man1/klist.1.gz
%doc %{_mandir}/man1/kpasswd.1.gz
%doc %{_mandir}/man1/krb5-config.1.gz
%doc %{_mandir}/man1/kx.1.gz
%doc %{_mandir}/man1/otp.1.gz
%doc %{_mandir}/man1/otpprint.1.gz
%doc %{_mandir}/man1/pfrom.1.gz
#%doc %{_mandir}/man1/rsh.1.gz
%doc %{_mandir}/man1/rxtelnet.1.gz
%doc %{_mandir}/man1/rxterm.1.gz
#%doc %{_mandir}/man1/telnet.1.gz
%doc %{_mandir}/man1/tenletxr.1.gz
%doc %{_mandir}/man1/xnlock.1.gz
#%doc %{_mandir}/man5/ftpusers.5.gz
%doc %{_mandir}/man5/krb5.conf.5.gz
#%doc %{_mandir}/man8/ftpd.8.gz
%doc %{_mandir}/man8/hprop.8.gz
%doc %{_mandir}/man8/hpropd.8.gz
%doc %{_mandir}/man8/kadmin.8.gz
%doc %{_mandir}/man8/kadmind.8.gz
%doc %{_mandir}/man8/kdc.8.gz
%doc %{_mandir}/man8/kerberos.8.gz
%doc %{_mandir}/man8/kfd.8.gz
%doc %{_mandir}/man8/kpasswdd.8.gz
%doc %{_mandir}/man8/kstash.8.gz
%doc %{_mandir}/man8/ktutil.8.gz
%doc %{_mandir}/man8/kxd.8.gz
%doc %{_mandir}/man8/push.8.gz
%doc %{_mandir}/man8/string2key.8.gz
#%doc %{_mandir}/man8/telnetd.8.gz
%doc %{_mandir}/man8/verify_krb5_conf.8.gz
%doc %{_infodir}/heimdal.info.gz
%doc ChangeLog* NEWS README TODO doc etc

%files devel
/usr/include/heimdal
%defattr(-,root,root)
%{_libdir}/libasn1.a
%{_libdir}/libasn1.la
%{_libdir}/libasn1.so
%{_libdir}/libcom_err.a
%{_libdir}/libcom_err.la
%{_libdir}/libcom_err.so
%{_libdir}/libeditline.a
%{_libdir}/libeditline.la
%{_libdir}/libgssapi.a
%{_libdir}/libgssapi.la
%{_libdir}/libgssapi.so
%{_libdir}/libhdb.a
%{_libdir}/libhdb.la
%{_libdir}/libhdb.so
%{_libdir}/libkadm5clnt.a
%{_libdir}/libkadm5clnt.la
%{_libdir}/libkadm5clnt.so
%{_libdir}/libkadm5srv.a
%{_libdir}/libkadm5srv.la
%{_libdir}/libkadm5srv.so
%{_libdir}/libkrb5.a
%{_libdir}/libkrb5.la
%{_libdir}/libkrb5.so
%{_libdir}/libotp.a
%{_libdir}/libotp.la
%{_libdir}/libotp.so
%{_libdir}/libroken.a
%{_libdir}/libroken.la
%{_libdir}/libroken.so
%{_libdir}/libsl.a
%{_libdir}/libsl.la
%{_libdir}/libsl.so
%{_libdir}/libss.a
%{_libdir}/libss.la
%{_libdir}/libss.so
%doc %{_mandir}/man3/arg_printusage.3.gz
%doc %{_mandir}/man3/editline.3.gz
%doc %{_mandir}/man3/getarg.3.gz
%doc %{_mandir}/man3/k_afs_cell_of_file.3.gz
%doc %{_mandir}/man3/k_hasafs.3.gz
%doc %{_mandir}/man3/k_pioctl.3.gz
%doc %{_mandir}/man3/k_setpag.3.gz
%doc %{_mandir}/man3/k_unlog.3.gz
%doc %{_mandir}/man3/kafs.3.gz
%doc %{_mandir}/man3/krb5_425_conv_principal.3.gz
%doc %{_mandir}/man3/krb5_425_conv_principal_ext.3.gz
%doc %{_mandir}/man3/krb5_524_conv_principal.3.gz
%doc %{_mandir}/man3/krb5_addlog_dest.3.gz
%doc %{_mandir}/man3/krb5_addlog_func.3.gz
%doc %{_mandir}/man3/krb5_appdefault.3.gz
%doc %{_mandir}/man3/krb5_appdefault_boolean.3.gz
%doc %{_mandir}/man3/krb5_appdefault_string.3.gz
%doc %{_mandir}/man3/krb5_appdefault_time.3.gz
%doc %{_mandir}/man3/krb5_auth_con_free.3.gz
%doc %{_mandir}/man3/krb5_auth_con_genaddrs.3.gz
%doc %{_mandir}/man3/krb5_auth_con_getaddrs.3.gz
%doc %{_mandir}/man3/krb5_auth_con_getflags.3.gz
%doc %{_mandir}/man3/krb5_auth_con_getkey.3.gz
%doc %{_mandir}/man3/krb5_auth_con_getlocalsubkey.3.gz
%doc %{_mandir}/man3/krb5_auth_con_getrcache.3.gz
%doc %{_mandir}/man3/krb5_auth_con_getremotesubkey.3.gz
%doc %{_mandir}/man3/krb5_auth_con_getuserkey.3.gz
%doc %{_mandir}/man3/krb5_auth_con_init.3.gz
%doc %{_mandir}/man3/krb5_auth_con_initivector.3.gz
%doc %{_mandir}/man3/krb5_auth_con_setaddrs.3.gz
%doc %{_mandir}/man3/krb5_auth_con_setaddrs_from_fd.3.gz
%doc %{_mandir}/man3/krb5_auth_con_setflags.3.gz
%doc %{_mandir}/man3/krb5_auth_con_setivector.3.gz
%doc %{_mandir}/man3/krb5_auth_con_setkey.3.gz
%doc %{_mandir}/man3/krb5_auth_con_setlocalsubkey.3.gz
%doc %{_mandir}/man3/krb5_auth_con_setrcache.3.gz
%doc %{_mandir}/man3/krb5_auth_con_setremotesubkey.3.gz
%doc %{_mandir}/man3/krb5_auth_con_setuserkey.3.gz
%doc %{_mandir}/man3/krb5_auth_context.3.gz
%doc %{_mandir}/man3/krb5_auth_getauthenticator.3.gz
%doc %{_mandir}/man3/krb5_auth_getcksumtype.3.gz
%doc %{_mandir}/man3/krb5_auth_getkeytype.3.gz
%doc %{_mandir}/man3/krb5_auth_getlocalseqnumber.3.gz
%doc %{_mandir}/man3/krb5_auth_getremoteseqnumber.3.gz
%doc %{_mandir}/man3/krb5_auth_setcksumtype.3.gz
%doc %{_mandir}/man3/krb5_auth_setkeytype.3.gz
%doc %{_mandir}/man3/krb5_auth_setlocalseqnumber.3.gz
%doc %{_mandir}/man3/krb5_auth_setremoteseqnumber.3.gz
%doc %{_mandir}/man3/krb5_build_principal.3.gz
%doc %{_mandir}/man3/krb5_build_principal_ext.3.gz
%doc %{_mandir}/man3/krb5_build_principal_va.3.gz
%doc %{_mandir}/man3/krb5_build_principal_va_ext.3.gz
%doc %{_mandir}/man3/krb5_checksum_is_collision_proof.3.gz
%doc %{_mandir}/man3/krb5_checksum_is_keyed.3.gz
%doc %{_mandir}/man3/krb5_checksumsize.3.gz
%doc %{_mandir}/man3/krb5_closelog.3.gz
%doc %{_mandir}/man3/krb5_config.3.gz
%doc %{_mandir}/man3/krb5_config_get_bool_default.3.gz
%doc %{_mandir}/man3/krb5_config_get_int_default.3.gz
%doc %{_mandir}/man3/krb5_config_get_string_default.3.gz
%doc %{_mandir}/man3/krb5_config_get_time_default.3.gz
%doc %{_mandir}/man3/krb5_context.3.gz
%doc %{_mandir}/man3/krb5_create_checksum.3.gz
%doc %{_mandir}/man3/krb5_crypto_destroy.3.gz
%doc %{_mandir}/man3/krb5_crypto_init.3.gz
%doc %{_mandir}/man3/krb5_decrypt.3.gz
%doc %{_mandir}/man3/krb5_decrypt_EncryptedData.3.gz
%doc %{_mandir}/man3/krb5_encrypt.3.gz
%doc %{_mandir}/man3/krb5_encrypt_EncryptedData.3.gz
%doc %{_mandir}/man3/krb5_err.3.gz
%doc %{_mandir}/man3/krb5_errx.3.gz
%doc %{_mandir}/man3/krb5_free_context.3.gz
%doc %{_mandir}/man3/krb5_free_krbhst.3.gz
%doc %{_mandir}/man3/krb5_free_principal.3.gz
%doc %{_mandir}/man3/krb5_get_all_client_addrs.3.gz
%doc %{_mandir}/man3/krb5_get_all_server_addrs.3.gz
%doc %{_mandir}/man3/krb5_get_krb524hst.3.gz
%doc %{_mandir}/man3/krb5_get_krb_admin_hst.3.gz
%doc %{_mandir}/man3/krb5_get_krb_changepw_hst.3.gz
%doc %{_mandir}/man3/krb5_get_krbhst.3.gz
%doc %{_mandir}/man3/krb5_init_context.3.gz
%doc %{_mandir}/man3/krb5_initlog.3.gz
%doc %{_mandir}/man3/krb5_keytab.3.gz
%doc %{_mandir}/man3/krb5_keytab_entry.3.gz
%doc %{_mandir}/man3/krb5_krbhst_format_string.3.gz
%doc %{_mandir}/man3/krb5_krbhst_free.3.gz
%doc %{_mandir}/man3/krb5_krbhst_get_addrinfo.3.gz
%doc %{_mandir}/man3/krb5_krbhst_init.3.gz
%doc %{_mandir}/man3/krb5_krbhst_next.3.gz
%doc %{_mandir}/man3/krb5_krbhst_next_as_string.3.gz
%doc %{_mandir}/man3/krb5_krbhst_reset.3.gz
%doc %{_mandir}/man3/krb5_kt_add_entry.3.gz
%doc %{_mandir}/man3/krb5_kt_close.3.gz
%doc %{_mandir}/man3/krb5_kt_compare.3.gz
%doc %{_mandir}/man3/krb5_kt_copy_entry_contents.3.gz
%doc %{_mandir}/man3/krb5_kt_cursor.3.gz
%doc %{_mandir}/man3/krb5_kt_default.3.gz
%doc %{_mandir}/man3/krb5_kt_default_name.3.gz
%doc %{_mandir}/man3/krb5_kt_end_seq_get.3.gz
%doc %{_mandir}/man3/krb5_kt_free_entry.3.gz
%doc %{_mandir}/man3/krb5_kt_get_entry.3.gz
%doc %{_mandir}/man3/krb5_kt_get_name.3.gz
%doc %{_mandir}/man3/krb5_kt_next_entry.3.gz
%doc %{_mandir}/man3/krb5_kt_ops,.3.gz
%doc %{_mandir}/man3/krb5_kt_read_service_key.3.gz
%doc %{_mandir}/man3/krb5_kt_register.3.gz
%doc %{_mandir}/man3/krb5_kt_remove_entry.3.gz
%doc %{_mandir}/man3/krb5_kt_resolve.3.gz
%doc %{_mandir}/man3/krb5_kt_start_seq_get.3.gz
%doc %{_mandir}/man3/krb5_log.3.gz
%doc %{_mandir}/man3/krb5_log_msg.3.gz
%doc %{_mandir}/man3/krb5_make_principal.3.gz
%doc %{_mandir}/man3/krb5_openlog.3.gz
%doc %{_mandir}/man3/krb5_parse_name.3.gz
%doc %{_mandir}/man3/krb5_principal_get_comp_string.3.gz
%doc %{_mandir}/man3/krb5_principal_get_realm.3.gz
%doc %{_mandir}/man3/krb5_set_warn_dest.3.gz
%doc %{_mandir}/man3/krb5_sname_to_principal.3.gz
%doc %{_mandir}/man3/krb5_sock_to_principal.3.gz
%doc %{_mandir}/man3/krb5_timeofday.3.gz
%doc %{_mandir}/man3/krb5_unparse_name.3.gz
%doc %{_mandir}/man3/krb5_us_timeofday.3.gz
%doc %{_mandir}/man3/krb5_verify_checksum.3.gz
%doc %{_mandir}/man3/krb5_verify_user.3.gz
%doc %{_mandir}/man3/krb5_verify_user_lrealm.3.gz
%doc %{_mandir}/man3/krb5_verr.3.gz
%doc %{_mandir}/man3/krb5_verrx.3.gz
%doc %{_mandir}/man3/krb5_vlog.3.gz
%doc %{_mandir}/man3/krb5_vlog_msg.3.gz
%doc %{_mandir}/man3/krb5_vwarn.3.gz
%doc %{_mandir}/man3/krb5_vwarnx.3.gz
%doc %{_mandir}/man3/krb5_warn.3.gz
%doc %{_mandir}/man3/krb5_warnx.3.gz
%doc %{_mandir}/man3/krb_afslog.3.gz
%doc %{_mandir}/man3/krb_afslog_uid.3.gz

%files lib
%defattr(-,root,root)
%config(noreplace) /etc/krb5.conf
%{_libdir}/libasn1.so.5
%{_libdir}/libasn1.so.5.0.0
%{_libdir}/libgssapi.so.1
%{_libdir}/libgssapi.so.1.2.4
%{_libdir}/libcom_err.so.1
%{_libdir}/libcom_err.so.1.1.0
%{_libdir}/libhdb.so.7
%{_libdir}/libhdb.so.7.0.4
%{_libdir}/libkadm5clnt.so.4
%{_libdir}/libkadm5clnt.so.4.2.2
%{_libdir}/libkadm5srv.so.7
%{_libdir}/libkadm5srv.so.7.0.4
%{_libdir}/libkrb5.so.17
%{_libdir}/libkrb5.so.17.1.2
%{_libdir}/libotp.so.0
%{_libdir}/libotp.so.0.1.3
%{_libdir}/libroken.so.9
%{_libdir}/libroken.so.9.5.3
%{_libdir}/libsl.so.0
%{_libdir}/libsl.so.0.1.2
%{_libdir}/libss.so.0
%{_libdir}/libss.so.0.1.4

%changelog -n heimdal
* Fri Apr 16 2004 - nadvornik@suse.cz
- fixed cross-realm vulnerability [#37079]
* Tue Sep 17 2002 - okir@suse.de
- fixed another buffer overflow (gss_get_mic)
* Mon Sep 09 2002 - draht@suse.de
- heimdal-0.4e-security2.patch fixes multiple bugs found by audit
  conducted by SuSE Security Sebastian Krahmer.
* Tue Aug 20 2002 - okir@suse.de
- security fix for res_search buffer overflow
* Tue Feb 19 2002 - choeger@suse.de
- Bugfix: removed --without-berkeley-db
  fixed lib/otp/Makefile.am
* Mon Feb 18 2002 - ro@suse.de
- updated kdc init-script (#13305)
* Wed Feb 13 2002 - pthomas@suse.de
- Move section 3 manpages to -devel package.
- Update URL for Heimdal home page
- Update list of man pages.
- heimdal-devel now conflicts with e2fsprogs-devel.
  This is a temporary solution for bug #13145.
* Mon Feb 04 2002 - sbose@suse.de
- updated to version 0.4e
- moved libraries from /usr/lib/heimdal/lib to /usr/lib
- added configure option --without-berkeley-db, because build
  failed with BDB
* Tue Jan 15 2002 - egmont@suselinux.hu
- removed colons from startup/shutdown messages
* Mon Jan 14 2002 - ro@suse.de
- removed START_KDC
* Sun Nov 18 2001 - ro@suse.de
- fix for automake 1.5 and run automake
* Fri Aug 24 2001 - schwab@suse.de
- Update libtool configuration.
- Don't use BuildRoot due to problem with libtool relinking.
* Fri Aug 24 2001 - sbose@suse.de
- updated to version 0.4d
- supplied libtool is not able to build shared libraries, spec file
  copies the local one to fix it
* Tue Jun 12 2001 - bk@suse.de
- add suse_update_config, needed for s390x
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Mon Apr 30 2001 - schwab@suse.de
- Add readline, readline-devel, db, db-devel to neededforbuild.
- Configure with system readline.
- Compile with -O0 on ia64.
* Sun Apr 29 2001 - kukuk@suse.de
- Remove executeable flag from config files [Bug #7407]
* Mon Apr 23 2001 - choeger@suse.de
- splitted into -lib subpackage
- removed --with-openldap
- renamed specfile
- fixed init-script
- added rclink
- added /var/heimdal directory
- added /etc/krb5.conf to -lib subpackage
- added -lib to requires
* Thu Apr 19 2001 - choeger@suse.de
- splitted into -devel
- changed path from /opt to /urs/lib
- fixed location of manpages/infofiles
- changed location of includes and libs
- removed conflicting manpages
* Tue Apr 10 2001 - mge@suse.de
- changed %%post-script and kdc.init
* Tue Apr 10 2001 - ro@suse.de
- fixed RPM Group to Networking/Security
* Tue Apr 10 2001 - sbose@suse.de
- initial version 0.3e
